Commit 59106c81 authored by Luis R. Rodriguez's avatar Luis R. Rodriguez Committed by Greg Kroah-Hartman
Browse files

test_firmware: wrap basic sysfs fallback tests into helper



These cannot run on all kernel builds. This will help us later
skip this test on kernel configs where non-applicable.

Signed-off-by: default avatarLuis R. Rodriguez <mcgrof@kernel.org>
Signed-off-by: default avatarGreg Kroah-Hartman <gregkh@linuxfoundation.org>
parent 881c23de
Loading
Loading
Loading
Loading
+41 −37
Original line number Diff line number Diff line
@@ -212,8 +212,9 @@ test_syfs_timeout()
	fi
}

run_sysfs_main_tests()
{
	test_syfs_timeout

	# Put timeout high enough for us to do work but not so long that failures
	# slow down this test too much.
	echo 4 >/sys/class/firmware/timeout
@@ -244,6 +245,19 @@ else
		echo "$0: cancelling fallback mechanism works"
	fi

	set +e
	load_fw_fallback_with_child "nope-signal-$NAME" "$FW"
	if [ "$?" -eq 0 ]; then
		echo "$0: SIGCHLD on sync ignored as expected" >&2
	else
		echo "$0: error - sync firmware request cancelled due to SIGCHLD" >&2
		exit 1
	fi
	set -e
}

run_sysfs_main_tests

if load_fw_custom "$NAME" "$FW" ; then
	if ! diff -q "$FW" /dev/test_firmware >/dev/null ; then
		echo "$0: firmware was not loaded" >&2
@@ -262,14 +276,4 @@ if load_fw_custom_cancel "nope-$NAME" "$FW" ; then
	fi
fi

set +e
load_fw_fallback_with_child "nope-signal-$NAME" "$FW"
if [ "$?" -eq 0 ]; then
	echo "$0: SIGCHLD on sync ignored as expected" >&2
else
	echo "$0: error - sync firmware request cancelled due to SIGCHLD" >&2
	exit 1
fi
set -e

exit 0